
#if defined(__MINGW32__) || defined(__MINGW64__)
#define __USE_MINGW_ANSI_STDIO 1
#include <stdio.h> /* see: https://sourceforge.net/p/mingw-w64/bugs/627/ */
#endif
#include <yaml.h>

#include "ctypes_cstubs_internals.h"
value yaml_stub_1_yaml_get_version_string(value x1)
{
   char* x2 = yaml_get_version_string();
   return CTYPES_FROM_PTR(x2);
}
value yaml_stub_2_yaml_get_version(value x5, value x4, value x3)
{
   int* x6 = CTYPES_ADDR_OF_FATPTR(x5);
   int* x7 = CTYPES_ADDR_OF_FATPTR(x4);
   int* x8 = CTYPES_ADDR_OF_FATPTR(x3);
   yaml_get_version(x6, x7, x8);
   return Val_unit;
}
value yaml_stub_3_yaml_token_delete(value x10)
{
   struct yaml_token_s* x11 = CTYPES_ADDR_OF_FATPTR(x10);
   yaml_token_delete(x11);
   return Val_unit;
}
value yaml_stub_4_yaml_parser_initialize(value x13)
{
   struct yaml_parser_s* x14 = CTYPES_ADDR_OF_FATPTR(x13);
   int x15 = yaml_parser_initialize(x14);
   return Val_long(x15);
}
value yaml_stub_5_yaml_parser_delete(value x16)
{
   struct yaml_parser_s* x17 = CTYPES_ADDR_OF_FATPTR(x16);
   yaml_parser_delete(x17);
   return Val_unit;
}
value yaml_stub_6_yaml_parser_set_input_string(value x21, value x20,
                                               value x19)
{
   struct yaml_parser_s* x22 = CTYPES_ADDR_OF_FATPTR(x21);
   char* x23 = CTYPES_ADDR_OF_FATPTR(x20);
   size_t x24 = ctypes_size_t_val(x19);
   yaml_parser_set_input_string(x22, x23, x24);
   return Val_unit;
}
value yaml_stub_7_yaml_parser_parse(value x29, value x28)
{
   struct yaml_parser_s* x30 = CTYPES_ADDR_OF_FATPTR(x29);
   struct yaml_event_s* x31 = CTYPES_ADDR_OF_FATPTR(x28);
   int x32 = yaml_parser_parse(x30, x31);
   return Val_long(x32);
}
value yaml_stub_8_yaml_emitter_initialize(value x33)
{
   struct yaml_emitter_s* x34 = CTYPES_ADDR_OF_FATPTR(x33);
   int x35 = yaml_emitter_initialize(x34);
   return Val_long(x35);
}
value yaml_stub_9_yaml_emitter_delete(value x36)
{
   struct yaml_emitter_s* x37 = CTYPES_ADDR_OF_FATPTR(x36);
   yaml_emitter_delete(x37);
   return Val_unit;
}
value yaml_stub_10_yaml_emitter_set_output_string(value x42, value x41,
                                                  value x40, value x39)
{
   struct yaml_emitter_s* x43 = CTYPES_ADDR_OF_FATPTR(x42);
   char* x44 = CTYPES_ADDR_OF_FATPTR(x41);
   size_t x45 = ctypes_size_t_val(x40);
   size_t* x48 = CTYPES_ADDR_OF_FATPTR(x39);
   yaml_emitter_set_output_string(x43, x44, x45, x48);
   return Val_unit;
}
value yaml_stub_11_yaml_emitter_set_encoding(value x51, value x50)
{
   struct yaml_emitter_s* x52 = CTYPES_ADDR_OF_FATPTR(x51);
   uint32_t x53 = Uint32_val(x50);
   yaml_emitter_set_encoding(x52, x53);
   return Val_unit;
}
value yaml_stub_12_yaml_emitter_set_canonical(value x58, value x57)
{
   struct yaml_emitter_s* x59 = CTYPES_ADDR_OF_FATPTR(x58);
   _Bool x60 = Bool_val(x57);
   yaml_emitter_set_canonical(x59, x60);
   return Val_unit;
}
value yaml_stub_13_yaml_emitter_set_indent(value x65, value x64)
{
   struct yaml_emitter_s* x66 = CTYPES_ADDR_OF_FATPTR(x65);
   int x67 = Long_val(x64);
   yaml_emitter_set_indent(x66, x67);
   return Val_unit;
}
value yaml_stub_14_yaml_emitter_set_width(value x72, value x71)
{
   struct yaml_emitter_s* x73 = CTYPES_ADDR_OF_FATPTR(x72);
   int x74 = Long_val(x71);
   yaml_emitter_set_width(x73, x74);
   return Val_unit;
}
value yaml_stub_15_yaml_emitter_set_unicode(value x79, value x78)
{
   struct yaml_emitter_s* x80 = CTYPES_ADDR_OF_FATPTR(x79);
   _Bool x81 = Bool_val(x78);
   yaml_emitter_set_unicode(x80, x81);
   return Val_unit;
}
value yaml_stub_16_yaml_emitter_flush(value x85)
{
   struct yaml_emitter_s* x86 = CTYPES_ADDR_OF_FATPTR(x85);
   int x87 = yaml_emitter_flush(x86);
   return Val_long(x87);
}
value yaml_stub_17_yaml_emitter_emit(value x89, value x88)
{
   struct yaml_emitter_s* x90 = CTYPES_ADDR_OF_FATPTR(x89);
   struct yaml_event_s* x91 = CTYPES_ADDR_OF_FATPTR(x88);
   int x92 = yaml_emitter_emit(x90, x91);
   return Val_long(x92);
}
value yaml_stub_18_yaml_stream_start_event_initialize(value x94, value x93)
{
   struct yaml_event_s* x95 = CTYPES_ADDR_OF_FATPTR(x94);
   uint32_t x96 = Uint32_val(x93);
   int x99 = yaml_stream_start_event_initialize(x95, x96);
   return Val_long(x99);
}
value yaml_stub_19_yaml_stream_end_event_initialize(value x100)
{
   struct yaml_event_s* x101 = CTYPES_ADDR_OF_FATPTR(x100);
   int x102 = yaml_stream_end_event_initialize(x101);
   return Val_long(x102);
}
value yaml_stub_20_yaml_document_start_event_initialize(value x107,
                                                        value x106,
                                                        value x105,
                                                        value x104,
                                                        value x103)
{
   struct yaml_event_s* x108 = CTYPES_ADDR_OF_FATPTR(x107);
   struct yaml_version_directive_s* x109 = CTYPES_ADDR_OF_FATPTR(x106);
   struct yaml_tag_directive_s* x110 = CTYPES_ADDR_OF_FATPTR(x105);
   struct yaml_tag_directive_s* x111 = CTYPES_ADDR_OF_FATPTR(x104);
   _Bool x112 = Bool_val(x103);
   int x115 =
   yaml_document_start_event_initialize(x108, x109, x110, x111, x112);
   return Val_long(x115);
}
value yaml_stub_21_yaml_document_end_event_initialize(value x117, value x116)
{
   struct yaml_event_s* x118 = CTYPES_ADDR_OF_FATPTR(x117);
   _Bool x119 = Bool_val(x116);
   int x122 = yaml_document_end_event_initialize(x118, x119);
   return Val_long(x122);
}
value yaml_stub_22_yaml_alias_event_initialize(value x124, value x123)
{
   struct yaml_event_s* x125 = CTYPES_ADDR_OF_FATPTR(x124);
   char* x126 = CTYPES_ADDR_OF_FATPTR(x123);
   int x127 = yaml_alias_event_initialize(x125, x126);
   return Val_long(x127);
}
value yaml_stub_23_yaml_scalar_event_initialize(value x135, value x134,
                                                value x133, value x132,
                                                value x131, value x130,
                                                value x129, value x128)
{
   struct yaml_event_s* x136 = CTYPES_ADDR_OF_FATPTR(x135);
   char* x137 = CTYPES_ADDR_OF_FATPTR(x134);
   char* x138 = CTYPES_ADDR_OF_FATPTR(x133);
   char* x139 = CTYPES_ADDR_OF_FATPTR(x132);
   int x140 = Long_val(x131);
   _Bool x143 = Bool_val(x130);
   _Bool x146 = Bool_val(x129);
   uint32_t x149 = Uint32_val(x128);
   int x152 =
   yaml_scalar_event_initialize(x136, x137, x138, x139, x140, x143, x146,
                                x149);
   return Val_long(x152);
}
value yaml_stub_23_yaml_scalar_event_initialize_byte8(value* argv, int argc)
{
   value x153 = argv[7];
   value x154 = argv[6];
   value x155 = argv[5];
   value x156 = argv[4];
   value x157 = argv[3];
   value x158 = argv[2];
   value x159 = argv[1];
   value x160 = argv[0];
   return
     yaml_stub_23_yaml_scalar_event_initialize(x160, x159, x158, x157, 
                                               x156, x155, x154, x153);
}
value yaml_stub_24_yaml_sequence_start_event_initialize(value x165,
                                                        value x164,
                                                        value x163,
                                                        value x162,
                                                        value x161)
{
   struct yaml_event_s* x166 = CTYPES_ADDR_OF_FATPTR(x165);
   char* x167 = CTYPES_ADDR_OF_FATPTR(x164);
   char* x168 = CTYPES_ADDR_OF_FATPTR(x163);
   _Bool x169 = Bool_val(x162);
   uint32_t x172 = Uint32_val(x161);
   int x175 =
   yaml_sequence_start_event_initialize(x166, x167, x168, x169, x172);
   return Val_long(x175);
}
value yaml_stub_25_yaml_sequence_end_event_initialize(value x176)
{
   struct yaml_event_s* x177 = CTYPES_ADDR_OF_FATPTR(x176);
   int x178 = yaml_sequence_end_event_initialize(x177);
   return Val_long(x178);
}
value yaml_stub_26_yaml_mapping_start_event_initialize(value x183,
                                                       value x182,
                                                       value x181,
                                                       value x180,
                                                       value x179)
{
   struct yaml_event_s* x184 = CTYPES_ADDR_OF_FATPTR(x183);
   char* x185 = CTYPES_ADDR_OF_FATPTR(x182);
   char* x186 = CTYPES_ADDR_OF_FATPTR(x181);
   _Bool x187 = Bool_val(x180);
   uint32_t x190 = Uint32_val(x179);
   int x193 =
   yaml_mapping_start_event_initialize(x184, x185, x186, x187, x190);
   return Val_long(x193);
}
value yaml_stub_27_yaml_mapping_end_event_initialize(value x194)
{
   struct yaml_event_s* x195 = CTYPES_ADDR_OF_FATPTR(x194);
   int x196 = yaml_mapping_end_event_initialize(x195);
   return Val_long(x196);
}
